sidemu Class Referenceabstract

`#include <sidemu.h>`

Inheritance diagram for sidemu:

## Public Member Functions

| sidemu (sidbuilder *builder)
void | reset ()
virtual void | reset (uint8_t volume)=0
virtual void | clock ()=0
virtual bool | lock (EventContext *env)=0
virtual void | unlock ()=0
virtual void | voice (unsigned int num, bool mute)=0
virtual void | model (SidConfig::sid_model_t model)=0
sidbuilder * | builder () const
virtual void | sampling (float systemfreq SID_UNUSED, float outputfreq SID_UNUSED, SidConfig::sampling_method_t method SID_UNUSED, bool fast SID_UNUSED)
int | bufferpos () const
void | bufferpos (int pos)
short * | buffer () const
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)
Public Member Functions inherited from component
virtual const char * | credits () const =0

## Protected Attributes

short * | m_buffer
int | m_bufferpos

## Additional Inherited Members

Protected Member Functions inherited from component
virtual uint8_t | read (uint_least8_t addr)=0
virtual void | write (uint_least8_t addr, uint8_t data)=0

## Detailed Description

Inherit this class to create a new SID emulation.

## Member Function Documentation

uint8_t sidemu::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements c64sid.

void sidemu::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements c64sid.

The documentation for this class was generated from the following file:

- sidemu.h